jueves, 25 de septiembre de 2008

Vulnerabilidades en Symantec Veritas NetBackup 5.x y 6.x

Se han encontrado dos vulnerabilidades en Symantec Veritas NetBackup Server y Enterprise Server 5.x y 6.x que podrían ser explotadas por un atacante remoto autenticado, pero sin privilegios, para revelar información sensible, corromper cierta información del sistema o ejecutar código arbitrario.

Symantec Veritas Backup es un popular y completo sistema de almacenado y restauración de copias de seguridad en red.

La primera vulnerabilidad está causada por un fallo en la interfaz gráfica de administración jnbSA (Java Administration GUI) que podría ser explotado por un atacante remoto autenticado en la GUI, pero sin privilegios, para escalar privilegios y ejecutar comandos arbitarios.

La vulnerabilidad está confirmada para las versiones 5.0, 5.1, 6.0, 6.5 y 6.5.1 de Symantec Veritas NetBackup Server y Enterprise Server.

La segunda vulnerabilidad está causada por un error de validación de entrada en un control ActiveX incluido en el componente scheduler de Symantec Veritas NetBackup Server y Enterprise Server para Windows. El fallo podría dar lugar a un desbordamiento de búfer y a la utilización de métodos inseguros, y podría ser aprovechado para causar una denegación de servicio o ejecutar código arbitrario por medio de Internet Explorer.

La vulnerabilidad está confirmada para las versiones 5.1 anteriores a la 5.1 MP7, 6.0 anteriores a la 6.0 MP7, 6.5 anteriores a la 6.5.2 de Symantec Veritas NetBackup Server y Enterprise Server.

Se recomienda actualizar a las siguientes versiones que en las que se han solventado los problemas:

NetBackup Server/Enterprise Server sobre Windows 5.1 MP7:
http://www.symantec.com/business/support/downloads.jsp?pid=15143&version=NBUESVRPVER30455
NetBackup Server/Enterprise Server sobre Windows 6.0 MP7:
http://www.symantec.com/business/support/downloads.jsp?pid=15143&version=NBUESVRPVER32168
NetBackup Server/Enterprise Server sobre Windows 6.5.2:
http://www.symantec.com/business/support/downloads.jsp?pid=15143&version=NBUESVRPVER31008

NetBackup 5.1 Maintenance Pack 7:
http://www.symantec.com/business/support/downloads.jsp?pid=15143&version=NBUESVRPVER30455

NetBackup 6.0 Maintenance Pack 7:
http://www.symantec.com/business/support/downloads.jsp?pid=15143&version=NBUESVRPVER32168

NetBackup 6.5.2:
http://www.symantec.com/business/support/downloads.jsp?pid=15143&version=NBUESVRPVER31008


Laboratorio Hispasec
laboratorio@hispasec.com


Más información:


Symantec Advisory SYM08-016:
A non-privileged but authorized user could potentially leverage the NetBackup Java console to execute code with elevated privileges on the server.
http://seer.entsupport.symantec.com/docs/308583.htm

Symantec Security Advisory SYM08-007:
Multiple Vulnerabilities in Scheduler component for NetBackup Server/Enterprise Server on all supported Windows Platforms.
http://seer.entsupport.symantec.com/docs/308669.htm

No hay comentarios:

Publicar un comentario en la entrada